Bug 848014 - SFML 2.0
SFML 2.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SFML (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 06:29 EDT by MERCIER Jonathan
Modified: 2013-06-01 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-01 16:11:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2012-08-14 06:29:12 EDT
dear,
SFML 2.0 is out http://www.sfml-dev.org/index.php it should be a good idea to push the new release for fedora 18 branch

thanks a lot for your job

kinds regards
Comment 1 Julian Sikorski 2012-08-14 12:37:34 EDT
Thanks for the heads-up. Have dolphin-emu and vbam-gtk been updated to work with it already?
Comment 2 MERCIER Jonathan 2012-08-14 12:42:21 EDT
I think if they are some application using SFML 1.x maybe create a new package named SFML2 as python2//python3 ...
Comment 3 Julian Sikorski 2012-08-14 12:43:27 EDT
Given there are only two I'd rather avoid that. Is there any package which would use SFML2?
Comment 4 MERCIER Jonathan 2012-08-14 13:05:32 EDT
me i have one ^^ the next derelict release use SFML2 and i will need it to complete the https://fedoraproject.org/wiki/Features/F18_D_programming
Comment 5 Julian Sikorski 2012-08-14 13:08:53 EDT
OK, I see. I'll try to get Alex (dolphin and vba maintainer) here.
Comment 6 Jeremy Newton 2012-08-15 02:56:12 EDT
(In reply to comment #5)
> OK, I see. I'll try to get Alex (dolphin and vba maintainer) here.

Hmmm, I'll have to contact upstream about this. I know dolphin stable won't work, but patching or a snapshot (if it's fixed in git) could be in order. As for vbam, I have no idea. I'll have to get back to you on this.
Comment 7 Jeremy Newton 2012-08-23 22:48:12 EDT
I've posted a bug report for both upstreams: http://code.google.com/p/dolphin-emu/issues/detail?id=5585 and http://sourceforge.net/tracker/?func=detail&aid=3561157&group_id=212795&atid=1023154

Note this is more breaking for Dolphin Emu than VBA.


Also I noticed last week that SFML is still in Release Candidate; 1.6 is still regarded as the latest stable. I would think avoiding the RC would be best for now. Although if the RC is absolutely necessary, a SFML 1.6 compatibility package maybe in need, unfortunately. Hopefully this issue can be fixed ASAP to avoid unnecessary.
Comment 8 Jeremy Newton 2012-08-23 22:49:09 EDT
note a correct to the last sentence:

Hopefully this issue can be fixed upstream ASAP to avoid unnecessary packaging.
Comment 9 MERCIER Jonathan 2012-09-26 05:57:15 EDT
hi,
what is the state ?

thanks for your works
Comment 10 Jeremy Newton 2012-09-26 12:37:42 EDT
(In reply to comment #9)
> hi,
> what is the state ?
> 
> thanks for your works

I haven't had time to develop a patch for either package, and the developers have no interest in updating their source to support 2.0 as it is still in RC (1.6 is still the latest stable). If you're willing to help, please feel free but I'm not sure when I'll have time.
Comment 11 Julian Sikorski 2013-05-01 05:00:23 EDT
OK, SFML 2.0 is out now. How is dolphin looking?
Comment 12 Jeremy Newton 2013-05-02 15:09:48 EDT
According to the bug report, it was fixed not too long ago; there's no reference to a commit, so I can only assume it was fixed.
Unfortunately, I may have to develop a SFML 2.0 patch for the latest stable (v3.5) because the using the snapshots are a little impossible to patch for WXWidgets 2.8. Just please send me a link to the koji builds, so I can figure it out.

Anyway, if you want to push 2.0 for 19 or rawhide, it should be fine; especially since it's been finally released.
Comment 13 Julian Sikorski 2013-05-06 01:55:24 EDT
Rawhide build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=416299
Comment 14 Jeremy Newton 2013-06-01 16:11:43 EDT
It seems there's now a combat-SFML16 package, so this should be a good temporary solution; I'm still waiting on a patch or response from dolphin upstream.

Since this is built in Rawhide, I'm closing it as fixed in Rawhide

Note You need to log in before you can comment on or make changes to this bug.